#
# spec file for package python3-xattr
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-xattr
Version:        0.7.8
Release:        6.1
License:        MIT
Summary:        Python wrapper for extended filesystem attributes
Url:            http://github.com/xattr/xattr
Group:          Development/Languages/Python
Source:         xattr-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3
BuildRequires:  python3-setuptools
BuildRequires:  python3-cffi
Requires:       python3-cffi
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Extended attributes extend the basic attributes of files and
directories in the file system. They are stored as name:data pairs
associated with file system objects (files, directories, symlinks, etc).

%prep
%setup -q -n xattr-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
mv %{buildroot}/%{_bindir}/xattr %{buildroot}/%{_bindir}/xattr-%{py3_ver}

%if 0%{?suse_version} && 0%{?suse_version} > 1310
mkdir -p %{buildroot}%{_sysconfdir}/alternatives
ln -s -f %{_sysconfdir}/alternatives/xattr %{buildroot}%{_bindir}/xattr
%endif

%post
%{_sbindir}/update-alternatives \
    --install %_bindir/xattr xattr %_bindir/xattr-%{py3_ver} 10

%preun
%{_sbindir}/update-alternatives --remove xattr %_bindir/xattr

%files
%defattr(-,root,root,-)
%doc README.txt LICENSE.txt
%{_bindir}/xattr-%{py3_ver}
%{python3_sitelib}/*
%if 0%{?suse_version} && 0%{?suse_version} > 1310
%{_bindir}/xattr
%ghost %_sysconfdir/alternatives/xattr
%endif

%changelog
* Mon Apr 10 2017 astieger@suse.com
- Fix file conflict between python3-xattr, python-xattr bsc#1033325
* Mon May  2 2016 ms@suse.com
- xattr 0.7.8
